Zero-Knowledge Verification (v2)
Initiate MFA Challenge with Nonce (v2)
POST
Generates a security challenge and dispatches verification challenge code over configured channels (SMS, WhatsApp, or auto-failover). Returns a 128-bit cryptographic challenge nonce for client-side zero-knowledge proof calculation.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
application/json- body
phoneNumber*stringworkflowId?stringaction?stringsenderId?stringMFA challenge initiated with challenge nonce
application/json- response
status?stringdata?curl -X POST 'https://api.smspro.com/api/v2/public/mfa/challenge' \ -H 'Content-Type: application/json' \ -d '{ "phoneNumber": "string"}'Example Response
{ "status": "string", "data": { "challengeId": "string", "status": "string", "channel": "string", "maskedPhone": "string", "attemptsRemaining": 0, "expiresAt": "2019-08-24T14:15:22Z", "resendAvailableAt": "2019-08-24T14:15:22Z", "message": "string", "challengeNonce": "string", "proofAlgorithm": "string", "proofFormat": "string" }}